<?php

function _translator_inputpage_ru(&$target) {
    $target = array(
        // 
        /* date format: year month day, specify order from 1 to 3, eg. 19/01/1961 => 3 2 1, 2002/31/12 => 1 3 2 */
        '3 1 2'
        => '3 2 1',

        // 
        'A ZIP code is an optional country selector (such as \'DE-\') followed by a natural number of at least 4 digits.'
        => 'ZIP-код является необязательным указателем страны (напр., \'DE-\'), за которым следует натуральный номер, состоящий по крайней мере из 4 цифр.',

        // 
        'A digit string consists of one or more digits.'
        => 'Цифровая строка содержит одну или более цифр.',

        // 
        'A natural number consists of an optional sign followed by one or more digits.'
        => 'Натуральное число состоит из необязательного знака и следующими за ним одной или нескольких цифр.',

        // 
        'A phone number starts with an optional \'+\' followed by digits with decoration such as \'/()- \'.'
        => 'Телефонный номер представляет собой необязательный знак \'+\' и следующие за ним цифры с необязательными украшениями типа \'/()- \'.',

        // 
        'Afghanistan'
        => 'Афганистан',

        // 
        'Aland Islands'
        => 'Аландские острова',

        // 
        'Albania'
        => 'Албания',

        // 
        'Algeria'
        => 'Алжир',

        // 
        'American Samoa'
        => 'Американское Самоа',

        // 
        'An IP address looks like 0.0.0.0 till 255.255.255.255'
        => 'IP-адрес выглядит как число в диапазоне от 0.0.0.0 до 255.255.255.255',

        // 
        'An email is something like \'joe.user@name.tld\', no extra names such as in \'Joe User <joe.user@name.tld>\' please.'
        => 'Адрес электронной почты выглядит как \'joe.user@name.tld\' без каких-либо дополнительных имен типа \'Joe User <joe.user@name.tld>\'.',

        // 
        'Andorra'
        => 'Андора',

        // 
        'Angola'
        => 'Ангола',

        // 
        'Anguilla'
        => 'Ангилья',

        // 
        'Antigua and Barbuda'
        => 'Антигуа и Барбуда',

        // 
        'April'
        => 'Апрель',

        // 
        'Argentina'
        => 'Аргентина',

        // 
        'Armenia'
        => 'Армения',

        // 
        'Aruba'
        => 'Аруба',

        // 
        'August'
        => 'Август',

        // 
        'Australia'
        => 'Австралия',

        // 
        'Austria'
        => 'Австрия',

        // 
        'Azerbaijan'
        => 'Азербайджан',

        // 
        'Azores'
        => 'Азорские острова',

        // 
        'Bahamas'
        => 'Багамские острова',

        // 
        'Bahrain'
        => 'Бахрейн',

        // 
        'Bali'
        => 'Бали',

        // 
        'Bangladesh'
        => 'Бангладеш',

        // 
        'Barbados'
        => 'Барбадос',

        // 
        'Belarus'
        => 'Беларусь',

        // 
        'Belgium'
        => 'Бельгия',

        // 
        'Belize'
        => 'Белиз',

        // 
        'Benin'
        => 'Бенин',

        // 
        'Bermuda'
        => 'Бермудские острова',

        // 
        'Bhutan'
        => 'Бутан',

        // 
        'Bolivia, Plurinational State of'
        => 'Боливия',

        // 
        'Bosnia and Herzegovina'
        => 'Босния и Герцеговина',

        // 
        'Botswana'
        => 'Ботсвана',

        // 
        'Bouvet Island'
        => 'Виргинские острова',

        // 
        'Brazil'
        => 'Бразилия',

        // 
        'British Indian Ocean Territory'
        => 'Британская территория Индийского океана',

        // 
        'Brunei Darussalam'
        => 'Бруней-Даруссалам',

        // 
        'Bulgaria'
        => 'Болгария',

        // 
        'Burkina Faso'
        => 'Буркина-Фасо',

        // 
        'Burundi'
        => 'Бурунди',

        // 
        'Calendar'
        => 'Календарь',

        // 
        'Cambodia'
        => 'Камбоджа',

        // 
        'Cameroon'
        => 'Камерун',

        // 
        'Canada'
        => 'Канада',

        // 
        'Canary Islands'
        => 'Канарские острова',

        // 
        'Cape Verde'
        => 'Кабо-Верде, острова Зеленого Мыса',

        // 
        'Cayman Islands'
        => 'Каймановы острова',

        // 
        'Central African Republic'
        => 'Центрально-Африканская Республика',

        // 
        'Chad'
        => 'Чад',

        // 
        'Check if you agree.'
        => 'Отметьте, если Вы согласны.',

        // 
        'Chile'
        => 'Чили',

        // 
        'China'
        => 'Китай',

        // 
        'Christmas Island'
        => 'Остров Рождества',

        // 
        'Christmas Island (Australia)'
        => 'Австралия',

        // 
        'Click column header to reverse sort order.'
        => 'Щелкните на заглавии колонки для обратной сортировки.',

        // 
        'Click column header to sort.'
        => 'Щелкните на заглавии колонки для сортировки.',

        // 
        'Cocos (Keeling) Islands'
        => 'Кокосовые (Килинг) острова',

        // 
        'Cocos Island'
        => 'Кокосовые острова',

        // 
        'Colombia'
        => 'Колумбия',

        // 
        'Comoros'
        => 'Коморские острова',

        // 
        'Congo, the Democratic Republic of the'
        => 'Конго',

        // 
        'Congo, the Republic of'
        => 'Конго',

        // 
        'Cook Islands'
        => 'Острова Кука',

        // 
        'Corsica'
        => 'Корсика',

        // 
        'Costa Rica'
        => 'Коста-Рика',

        // 
        'Cote d\'Ivoire'
        => 'Берег Слоновой Кости',

        // 
        'Croatia'
        => 'Хорватия',

        // 
        'Cuba'
        => 'Куба',

        // 
        'Cyprus'
        => 'Кипр',

        // 
        'Czech Republic'
        => 'Чешская республика',

        // 
        'December'
        => 'Декабрь',

        // 
        'Denmark'
        => 'Дания',

        // 
        'Djibouti'
        => 'Джибути',

        // 
        'Dominica'
        => 'Доминика',

        // 
        'Dominican Republic'
        => 'Доминиканская Республика',

        // 
        'Ecuador'
        => 'Эквадор',

        // 
        'Egypt'
        => 'Египет',

        // 
        'El Salvador'
        => 'Сальвадор',

        // 
        'Enter \'{$arg[1]}\' here.'
        => 'Введите здесь \'{$arg[1]}\'',

        // 
        'Enter a date like month/day/year.'
        => 'Введите дату как день/месяц/год.',

        // 
        'Enter your text here.'
        => 'Введите здесь Ваш текст.',

        // 
        'Equatorial Guinea'
        => 'Экваториальная Гвинея',

        // 
        'Eritrea'
        => 'Эритрея',

        // 
        'Estonia'
        => 'Эстония',

        // 
        'Ethiopia'
        => 'Эфиопия',

        // 
        'Falkland Islands'
        => 'Фолклендские острова',

        // 
        'Falkland Islands (Malvinas)'
        => 'Фолклендские (Мальвинские) острова',

        // 
        'Faroe Islands'
        => 'Фарерские острова',

        // 
        'February'
        => 'Февраль',

        // 
        'Fiji'
        => 'Фиджи',

        // 
        'Finland'
        => 'Финляндия',

        // 
        'France'
        => 'Франция',

        // 
        'French Guiana'
        => 'Французская Гвиана',

        // 
        'French Polynesia'
        => 'Французская Полинезия',

        // 
        'French Southern Territories'
        => 'Французские Южные территории',

        // 
        'Friday'
        => 'Пятница',

        // 
        'Gabon'
        => 'Габон',

        // 
        'Gambia'
        => 'Гамбия',

        // 
        'Georgia'
        => 'Грузия',

        // 
        'Germany'
        => 'Германия',

        // 
        'Ghana'
        => 'Гана',

        // 
        'Gibraltar'
        => 'Гибралтар',

        // 
        'Go to bottom'
        => 'Перейти в конец',

        // 
        'Go to top'
        => 'Перейти в начало',

        // 
        'Greece'
        => 'Греция',

        // 
        'Greenland'
        => 'Гренландия',

        // 
        'Grenada'
        => 'Гренада',

        // 
        'Guadeloupe'
        => 'Гваделупа',

        // 
        'Guam'
        => 'Гуам',

        // 
        'Guatemala'
        => 'Гватемала',

        // 
        'Guinea'
        => 'Гвинея',

        // 
        'Guinea-Bissau'
        => 'Гвинея-Бисау',

        // 
        'Guyana'
        => 'Гайана',

        // 
        'Haiti'
        => 'Гаити',

        // 
        'Heard Island and McDonald Islands'
        => 'Остров Херд и острова Макдональд',

        // 
        'Holy See (Vatican City State)'
        => 'Ватикан',

        // 
        'Honduras'
        => 'Гондурас',

        // 
        'Hong Kong'
        => 'Гонконг',

        // 
        'Hungary'
        => 'Венгрия',

        // 
        'Iceland'
        => 'Исландия',

        // 
        'India'
        => 'Индия',

        // 
        'Indonesia'
        => 'Индонезия',

        // 
        'Iran, Islamic Republic of'
        => 'Иран',

        // 
        'Iraq'
        => 'Ирак',

        // 
        'Ireland'
        => 'Ирландия',

        // 
        'Israel'
        => 'Израиль',

        // 
        'Italy'
        => 'Италия',

        // 
        'Jamaica'
        => 'Ямайка',

        // 
        'January'
        => 'Январь',

        // 
        'Japan'
        => 'Япония',

        // 
        'Jordan'
        => 'Иордания',

        // 
        'July'
        => 'Июль',

        // 
        'June'
        => 'Июнь',

        // 
        'Kazakhstan'
        => 'Казахстан',

        // 
        'Kenya'
        => 'Кения',

        // 
        'Kiribati'
        => 'Кирибати',

        // 
        'Korea, Republic of'
        => 'Корея',

        // 
        'Kosovo'
        => 'Косово',

        // 
        'Kuwait'
        => 'Кувейт',

        // 
        'Kyrgyzstan'
        => 'Киргизия',

        // 
        'Lao People\'s Democratic Republic'
        => 'Лаос',

        // 
        'Latvia'
        => 'Латвия',

        // 
        'Lebanon'
        => 'Ливан',

        // 
        'Lesotho'
        => 'Лесото',

        // 
        'Liberia'
        => 'Либерия',

        // 
        'Libyan Arab Jamahiriya'
        => 'Ливийская Арабская Джамахирия',

        // 
        'Liechtenstein'
        => 'Лихтенштейн',

        // 
        'Lithuania'
        => 'Литва',

        // 
        'Luxembourg'
        => 'Люксембург',

        // 
        'Macao'
        => 'Макао',

        // 
        'Macedonia, the former Yugoslav Republic of'
        => 'Македония',

        // 
        'Madagascar'
        => 'Мадагаскар',

        // 
        'Madeira'
        => 'Мадейра',

        // 
        'Malawi'
        => 'Малави',

        // 
        'Malaysia'
        => 'Малайзия',

        // 
        'Maldives'
        => 'Мальдивы',

        // 
        'Mali'
        => 'Мали',

        // 
        'Malta'
        => 'Мальта',

        // 
        'March'
        => 'Март',

        // 
        'Marshall Islands'
        => 'Маршалловы острова',

        // 
        'Martinique'
        => 'Мартиника',

        // 
        'Mauritania'
        => 'Мавритания',

        // 
        'Mauritius'
        => 'Маврикий',

        // 
        'May'
        => 'Май',

        // 
        'Mayotte'
        => 'Майотта',

        // 
        'Mexico'
        => 'Мексика',

        // 
        'Micronesia'
        => 'Микронезия',

        // 
        'Micronesia, Federated States of'
        => 'Микронезия',

        // 
        'Missing upload file'
        => 'Ошибка загрузки',

        // 
        'Moldova, Republic of'
        => 'Молдова',

        // 
        'Monaco'
        => 'Монако',

        // 
        'Monday'
        => 'Понедельник',

        // 
        'Mongolia'
        => 'Монголия',

        // 
        'Montenegro'
        => 'Черногория',

        // 
        'Montserrat'
        => 'Монтсеррат',

        // 
        'Morocco'
        => 'Марокко',

        // 
        'Mozambique'
        => 'Мозамбик',

        // 
        'Myanmar'
        => 'Мьянма',

        // 
        'Namibia'
        => 'Намибия',

        // 
        'Nauru'
        => 'Науру',

        // 
        'Nepal'
        => 'Непал',

        // 
        'Netherlands'
        => 'Нидерланды',

        // 
        'Netherlands Antilles'
        => 'Нидерландские Антильские острова',

        // 
        'New Caledonia'
        => 'Новая Каледония',

        // 
        'New Zealand'
        => 'Новая Зеландия',

        // 
        'Nicaragua'
        => 'Никарагуа',

        // 
        'Niger'
        => 'Нигер',

        // 
        'Nigeria'
        => 'Нигерия',

        // 
        'Niue'
        => 'Ниуэ',

        // 
        'None'
        => 'Нет',

        // 
        'Norfolk Island'
        => 'Остров Норфолк',

        // 
        'Northern Mariana Islands'
        => 'Северные Марианские острова',

        // 
        'Norway'
        => 'Норвегия',

        // 
        'November'
        => 'Ноябрь',

        // 
        'October'
        => 'Октябрь',

        // 
        'Oman'
        => 'Оман',

        // 
        'Page down'
        => 'Следующая страница',

        // 
        'Page up'
        => 'Предыдущая страница',

        // 
        'Pakistan'
        => 'Пакистан',

        // 
        'Palau'
        => 'Палау',

        // 
        'Palestinian Territory, Occupied'
        => 'Палестина',

        // 
        'Panama'
        => 'Панама',

        // 
        'Papua New Guinea'
        => 'Папуа-Новая Гвинея',

        // 
        'Paraguay'
        => 'Парагвай',

        // 
        'Peru'
        => 'Перу',

        // 
        'Philippines'
        => 'Филиппины',

        // 
        'Pitcairn'
        => 'Питкэрн',

        // 
        'Please enter a ZIP code her.'
        => 'Введите здесь ZIP-код.',

        // 
        'Please enter a digit string here.'
        => 'Введите здесь цифровую строку.',

        // 
        'Please enter a natural number here.'
        => 'Введите здесь натуральный номер.',

        // 
        'Please enter a non-empty string here, minimum {$arg[1]} chars.'
        => 'Введите здесь непустую строку, минимум {$arg[1]} символов.',

        // 
        'Please enter a non-empty string here.'
        => 'Введите здесь непустую строку.',

        // 
        'Please enter a valid date.'
        => 'Введите правильную дату.',

        // 
        'Please enter a valid email address here.'
        => 'Введите здесь правильный email.',

        // 
        'Please enter only IP addresses here.'
        => 'Введите здесь только IP-адрес.',

        // 
        'Please enter only telephone numbers here.'
        => 'Введите здесь только телефонный номер.',

        // 
        'Please select at least one of the choices!'
        => 'Выберите что-нибудь!',

        // 
        'Please select one of the choices!'
        => 'Сделайте выбор!',

        // 
        'Poland'
        => 'Польша',

        // 
        'Portugal'
        => 'Португалия',

        // 
        'Puerto Rico'
        => 'Пуэрто-Рико',

        // 
        'Qatar'
        => 'Катар',

        // 
        'Retyped password does not match your first password.'
        => 'Пароль не подтвержден',

        // 
        'Reunion'
        => 'Реюньо́н',

        // 
        'Romania'
        => 'Румыния',

        // 
        'Russian Federation'
        => 'Российская Федерация',

        // 
        'Rwanda'
        => 'Руанда',

        // 
        'Saint Helena, Ascension and Tristan da Cunha'
        => 'Остров Святой Елены, Вознесения и Тристан-да-Кунья',

        // 
        'Saint Kitts and Nevis'
        => 'Сент-Китс и Невис',

        // 
        'Saint Lucia'
        => 'Сент-Люсия',

        // 
        'Saint Martin (French part)'
        => 'Сен-Мартен (французская часть)',

        // 
        'Saint Pierre and Miquelon'
        => 'Сен-Пьер и Микелон',

        // 
        'Saint Vincent and the Grenadines'
        => 'Сент-Винсент и Гренадины',

        // 
        'Samoa'
        => 'Самоа',

        // 
        'San Marino'
        => 'Сан-Марино',

        // 
        'Sao Tome and Principe'
        => 'Сан-Томе и Принсипи',

        // 
        'Saturday'
        => 'Суббота',

        // 
        'Saudi Arabia'
        => 'Саудовская Аравия',

        // 
        'Select \'{$arg[1]}\' here.'
        => 'Выберите здесь \'{$arg[1]}\'',

        // 
        'Select a valid country'
        => 'Выберите страну',

        // 
        'Senegal'
        => 'Сенегал',

        // 
        'September'
        => 'Сентябрь',

        // 
        'Serbia'
        => 'Сербия',

        // 
        'Seychelles'
        => 'Сейшельские острова',

        // 
        'Show current month'
        => 'Показать текущий месяц',

        // 
        'Sierra Leone'
        => 'Сьерра-Леоне',

        // 
        'Singapore'
        => 'Сингапур',

        // 
        'Slovakia'
        => 'Словакия',

        // 
        'Slovenia'
        => 'Словения',

        // 
        'Solomon Islands'
        => 'Соломоновы Острова',

        // 
        'Somalia'
        => 'Сомали',

        // 
        'South Africa'
        => 'ЮАР',

        // 
        'South Georgia and the South Sandwich Islands'
        => 'Южная Георгия и Южные Сандвичевы острова',

        // 
        'South Korea'
        => 'Южная Корея',

        // 
        'Spain'
        => 'Испания',

        // 
        'Sri Lanka'
        => 'Шри Ланка',

        // 
        'Sudan'
        => 'Судан',

        // 
        'Sunday'
        => 'Воскресенье',

        // 
        'Suriname'
        => 'Фамилия',

        // 
        'Svalbard and Jan Mayen'
        => 'Шпицберген и Ян-Майен',

        // 
        'Swaziland'
        => 'Свазиленд',

        // 
        'Sweden'
        => 'Швеция',

        // 
        'Switzerland'
        => 'Швейцария',

        // 
        'Syrian Arab Republic'
        => 'Сирийская Арабская Республика',

        // 
        'Taiwan'
        => 'Тайвань',

        // 
        'Tajikistan'
        => 'Таджикистан',

        // 
        'Tanzania, United Republic of'
        => 'Танзания',

        // 
        'Thailand'
        => 'Таиланд',

        // 
        'Thursday'
        => 'Четверг',

        // 
        'Timor-Leste'
        => 'Тимор-Лешти',

        // 
        'Togo'
        => 'Того',

        // 
        'Tokelau'
        => 'Токелау',

        // 
        'Tonga'
        => 'Тонга',

        // 
        'Trinidad and Tobago'
        => 'Тринидад и Тобаго',

        // 
        'Tuesday'
        => 'Вторник',

        // 
        'Tunisia'
        => 'Тунис',

        // 
        'Turkey'
        => 'Турция',

        // 
        'Turkmenistan'
        => 'Туркменистан',

        // 
        'Turks and Caicos Islands'
        => 'Острова Теркс и Кайкос',

        // 
        'Tuvalu'
        => 'Тувалу',

        // 
        'UK'
        => 'Великобритания',

        // 
        'Uganda'
        => 'Уганда',

        // 
        'Ukraine'
        => 'Украина',

        // 
        'United Arab Emirates'
        => 'Объединенные Арабские Эмираты',

        // 
        'United States'
        => 'Соединенные Штаты',

        // 
        'United States Minor Outlying Islands'
        => 'Фарерские острова',

        // 
        'Uruguay'
        => 'Уругвай',

        // 
        'Uzbekistan'
        => 'Узбекистан',

        // 
        'Vanuatu'
        => 'Вануату',

        // 
        'Venezuela, Bolivarian Republic of'
        => 'Венесуэла',

        // 
        'Vietnam'
        => 'Вьетнам',

        // 
        'Virgin Islands, British'
        => 'Виргинские острова',

        // 
        'Virgin Islands, U.S.'
        => 'Виргинские острова, США',

        // 
        'Wallis and Futuna'
        => 'Уоллис и Футуна',

        // 
        'Wednesday'
        => 'Среда',

        // 
        'Western Sahara'
        => 'Западная Сахара',

        // 
        'Year'
        => 'Год',

        // 
        'Yemen'
        => 'Йемен',

        // 
        'You need to confirm this.'
        => 'Подтвердите это.',

        // 
        'Your browser can\'t show embedded frames, but you can open the embedded site by following <a href=\'{$arg[1]}\' target=\'_blank\'>this link</a>'
        => 'Ваш браузер не отображает встроенные фреймы, воспользуйтесь <a href=\'{$arg[1]}\' target=\'_blank\'>этой ссылкой</a>',

        // 
        'Zambia'
        => 'Замбия',

        // 
        'Zimbabwe'
        => 'Зимбабве',

        // 
        '\'{$arg[1]}\' doesn\'t look like a valid email address!'
        => '\'{$arg[1]}\' не выглядит как электронный адрес!',

        // 
        /* date format, args are 1: year, 2: month, 3: day */
        '{$arg[2]}/{$arg[3]}/{$arg[1]}'
        => '{$arg[1]}.{$arg[2]}.{$arg[3]}',

        // 
        'Add new line'
        => 'Добавить новую линию',

        // 
        'Enter your password'
        => 'Введите Ваш пароль',

        // 
        'Enter your search'
        => 'Введите условие поиска',

        // 
        'Remove this line'
        => 'Удалите эту строку',

        // 
        'Saint Barthélemy'
        => 'Сен-Бартельми',

        // 
        'e.g.'
        => 'напр.,',

    );
}

?>